--
-- PostgreSQL database dump
--

-- Dumped from database version 15.1
-- Dumped by pg_dump version 15.2

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: judges; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.judges (
    id uuid not null references auth.users on delete cascade,
    created_at timestamp with time zone DEFAULT now(),
    firstname character varying,
    lastname character varying
);


ALTER TABLE public.judges OWNER TO postgres;

--
-- Name: TABLE judges; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.judges IS 'List of judges';


--
-- Name: judges judges_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.judges
    ADD CONSTRAINT judges_pkey PRIMARY KEY (id);


--
-- Name: judges; Type: ROW SECURITY; Schema: public; Owner: postgres
--

ALTER TABLE public.judges ENABLE ROW LEVEL SECURITY;

--
-- Name: TABLE judges; Type: ACL; Schema: public; Owner: postgres
--

GRANT ALL ON TABLE public.judges TO anon;
GRANT ALL ON TABLE public.judges TO authenticated;
GRANT ALL ON TABLE public.judges TO service_role;


--
-- PostgreSQL database dump complete
--

